# Method: promotions.create

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create#try-it)

Inserts a promotion for your Merchant Center account. If the promotion already exists, then it updates the promotion instead. To [end or delete](https://developers.google.com/shopping-content/guides/promotions#end_a_promotion) a promotion update the time period of the promotion to a time that has already passed.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/promotions`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that contains the collection. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/promotions#Promotion`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/promotions#Promotion`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).